import 'package:code_id_flutter/code_interfaces/services/i_network_service.dart';
import 'package:dio/dio.dart';

typedef ShouldRefresh = bool Function(Response? response);

typedef RefreshToken<T> = Future<T?> Function(
  T? token,
  INetworkService httpClient,
);

typedef ShouldRequest<T> = Future<T?> Function(
  T? token,
  INetworkService httpClient,
);

typedef TokenHeaderBuilder<T> = Map<String, String> Function(
  T? token,
);
